Table of Contents

Module: gateway | Twisted-0.19.0/twisted/words/ui/gateway.py
--- | ---
shortName and longName are the short and long names (respectively) for this protocol.
Functions |
--- | ---
makeConnection
| makeConnection
    makeConnection ( im,  **kw )
makeConnection is called from a GUI. it is given the option names from loginOptions as keyword arguments. the function then logs the protocol in, and attaches it to the InstanceMessenger instance given as the first argument.
Exceptions |
--- | ---
NotImplementedError
Classes |
Gateway | This is the interface between a protocol (twisted.words, TOC, etc.) and

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0